# List security profiles

Endpoint: GET /securityprofiles
Version: 1.0.457.36910
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2 scopes: FullAccess, SecurityProfileAdmin, SetSecurityProfile, SecurityProfileReader

## Query parameters:

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.ID` (string)

  - `Items.Name` (string)

  - `Items.Roles` (array)

  - `Items.CustomRoles` (array)

  - `Items.PasswordConfig` (object)
    Example: {"LimitPasswordReuse":0,"MaxConsecutiveDupeChars":0,"MaximumPasswordAge":0,"MinimumPasswordAge":0,"AllowedFailedAttempts":0,"LockoutDuration":0,"UpperCaseRequired":false,"LowerCaseRequired":false,"Spe…

  - `Items.PasswordConfig.LimitPasswordReuse` (integer)
    The number of passwords, including the current password, that are blocked from reuse. For example, if set to 1, any password except the current one can be reused.

  - `Items.PasswordConfig.MaxConsecutiveDupeChars` (integer)
    The maximum number of consecutive repeating characters in a password.

  - `Items.PasswordConfig.MaximumPasswordAge` (integer)
    The password expires after MaximumPasswordAge in days.

  - `Items.PasswordConfig.MinimumPasswordAge` (integer)
    The password may not be changed again until this number of minutes has passed.

  - `Items.PasswordConfig.AllowedFailedAttempts` (integer)
    The number of failed attempts before the account is locked for the LockoutDuration.

  - `Items.PasswordConfig.LockoutDuration` (integer)
    The number of minutes an account is locked when the AllowedFailedAttempts is reached. Use 0 to indicate that lockout should be indefinite, requiring the manual intervention by an admin user.

  - `Items.PasswordConfig.UpperCaseRequired` (boolean)
    At least one upper case character is required.

  - `Items.PasswordConfig.LowerCaseRequired` (boolean)
    At least one lower case character is required.

  - `Items.PasswordConfig.SpecialCharacterRequired` (boolean)
    At least one special character is required.

  - `Items.PasswordConfig.NumericRequired` (boolean)
    At least one number is required.

  - `Items.PasswordConfig.MinimumCharacterCount` (integer)
    The minimum length of a password.

  - `Meta` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX:

  - `4XX` (unknown)
    Expected errors range from 400-409. Anything in the 5XX range indicates a server issue and should be reported to support.

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: 404

  - `ErrorCode` (string)
    Example: NotFoundError

  - `Message` (string)
    Example: Object not found

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}

